Create Campaign Post
curl --request POST \
--url https://api.decodahealth.com/opportunity/campaign/{campaign_id}/post \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"platformId": "<string>",
"postType": "SOCIAL_POST",
"title": "<string>",
"caption": "<string>",
"ctaText": "<string>",
"ctaUrl": "<string>",
"scheduledDate": "2023-11-07T05:31:56Z",
"status": "DRAFT",
"meta": {}
}
'import requests
url = "https://api.decodahealth.com/opportunity/campaign/{campaign_id}/post"
payload = {
"platformId": "<string>",
"postType": "SOCIAL_POST",
"title": "<string>",
"caption": "<string>",
"ctaText": "<string>",
"ctaUrl": "<string>",
"scheduledDate": "2023-11-07T05:31:56Z",
"status": "DRAFT",
"meta": {}
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platformId: '<string>',
postType: 'SOCIAL_POST',
title: '<string>',
caption: '<string>',
ctaText: '<string>',
ctaUrl: '<string>',
scheduledDate: '2023-11-07T05:31:56Z',
status: 'DRAFT',
meta: {}
})
};
fetch('https://api.decodahealth.com/opportunity/campaign/{campaign_id}/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"campaignId": "<string>",
"creatorId": "<string>",
"platformId": "<string>",
"title": "<string>",
"caption": "<string>",
"ctaText": "<string>",
"ctaUrl": "<string>",
"scheduledDate": "2023-11-07T05:31:56Z",
"publishedDate": "2023-11-07T05:31:56Z",
"externalPostId": "<string>",
"externalPostUrl": "<string>",
"status": "DRAFT",
"meta": {},
"creatorName": "<string>",
"media": [
{
"id": "<string>",
"postId": "<string>",
"gcsPath": "<string>",
"fileName": "<string>",
"fileSizeBytes": 123,
"mimeType": "<string>",
"durationSeconds": 123,
"width": 123,
"height": 123,
"thumbnailGcsPath": "<string>",
"displayOrder": 0,
"altText": "<string>",
"signedUrl": "<string>"
}
],
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaigns
Create Campaign Post
Create a social post for a campaign, publishing it immediately if status is PUBLISHED.
POST
/
opportunity
/
campaign
/
{campaign_id}
/
post
Create Campaign Post
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
Available options:
SOCIAL_POST, AD, EMAIL, BLOG, LANDING_PAGE Available options:
DRAFT, SCHEDULED, PUBLISHED, PAUSED, ARCHIVED Response
Successful Response
Available options:
SOCIAL_POST, AD, EMAIL, BLOG, LANDING_PAGE Available options:
DRAFT, SCHEDULED, PUBLISHED, PAUSED, ARCHIVED Show child attributes
Show child attributes
⌘I
